Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002947Piwigodisplaypublic2013.08.01 19:022013.10.24 11:08
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.2 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002947: bugs in format_date() and time_since()
Descriptionformat_date() :
    - $show_day_name parameter is not used
    - allow various input formats

time_since() :
    - no spaces between chunks
    - calculation is false because we assume 1 month = 30 days and so on
    - allow various input formats
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007103)
svn (reporter)
2013.08.01 19:04

[Subversion] r24099 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2947 rewrite format_date() and time_since() with DateTime class + new parameters
(0007164)
mistic100 (developer)
2013.10.22 21:58
edited on: 2013.10.22 21:59

Fatal error on PHP < 5.4 and use a method not available on PHP < 5.3

Fatal error: time_since(): Unknown property (w) in B:\wamp\www\piwigo\include\functions.inc.php on line 569

(0007189)
svn (reporter)
2013.10.24 11:07

[Subversion] r25114 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2947 fix compatibility with PHP 5.2 and 5.3

- Issue History
Date Modified Username Field Change
2013.08.01 19:02 mistic100 New Issue
2013.08.01 19:02 mistic100 Status new => assigned
2013.08.01 19:02 mistic100 Assigned To => mistic100
2013.08.01 19:02 mistic100 browser => any
2013.08.01 19:02 mistic100 Web server => Apache 1.3.x
2013.08.01 19:04 svn Checkin
2013.08.01 19:04 svn Note Added: 0007103
2013.08.14 23:03 mistic100 Status assigned => closed
2013.08.14 23:03 mistic100 Resolution open => fixed
2013.08.14 23:03 mistic100 Fixed in Version => 2.6.0beta2
2013.10.22 21:58 mistic100 Note Added: 0007164
2013.10.22 21:58 mistic100 Status closed => feedback
2013.10.22 21:58 mistic100 Resolution fixed => reopened
2013.10.22 21:59 mistic100 Note Edited: 0007164
2013.10.24 11:07 svn Checkin
2013.10.24 11:07 svn Note Added: 0007189
2013.10.24 11:08 mistic100 Status feedback => closed
2013.10.24 11:08 mistic100 Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker